﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            WebDropDown1.ValueField = "ID";
            WebDropDown1.TextField = "Text";
            WebDropDown1.DataSource = GetDataSource();
        }
    }

    public DataTable GetDataSource()
    {
        DataTable dt = new DataTable("Table");
        dt.Columns.Add("ID");
        dt.Columns.Add("Text");

        DataColumn[] PrimaryKeyColumns = new DataColumn[1];
        PrimaryKeyColumns[0] = dt.Columns["ID"];
        dt.PrimaryKey = PrimaryKeyColumns;

        dt.Rows.Add(new object[] { 1, "DropDown Item 1" });
        dt.Rows.Add(new object[] { 2, "DropDown Item 2" });
        dt.Rows.Add(new object[] { 3, "DropDown Item 3" });
        dt.Rows.Add(new object[] { 4, "DropDown Item 4" });
        return dt;
    }
}